| dfeprach Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfePrach_StatusMask Struct Reference
Overview

Event status and interrupt mask. More...

## Data Fields
u32 | DecimatorOverflow
| [0,1] Mask overflow in Decimator More...
u32 | MixerOverflow
| [0,1] Mask overflow in mixer More...
u32 | DecimatorOverrun
| [0,1] Mask overrun in the decimator More...
u32 | SelectorOverrun
| [0,1] Mask overrun in the selector More...
u32 | RachUpdate
| [0,1] Mask RACH configuration update More...
u32 | CCSequenceError [XDFEPRACH_BAND_ID_MAX]
| [0,1] Mask CC sequence error More...
u32 | FrameInitTrigger [XDFEPRACH_BAND_ID_MAX]
| [0,1] Mask Frame initialisation Trigger More...
u32 | FrameError [XDFEPRACH_BAND_ID_MAX]
| [0,1] Mask Frame error More...

## Detailed Description

Event status and interrupt mask.

Note
  The structure for XDfePrach_InterruptMask is the same as that of XDfePrach_StatusMask

## Field Documentation

u32 XDfePrach_StatusMask::CCSequenceError[XDFEPRACH_BAND_ID_MAX]

[0,1] Mask CC sequence error

Referenced by XDfePrach_ClearEventStatus(), XDfePrach_GetEventStatus(), XDfePrach_GetInterruptMask(), and XDfePrach_SetInterruptMask().

u32 XDfePrach_StatusMask::DecimatorOverflow

[0,1] Mask overflow in Decimator

Referenced by XDfePrach_ClearEventStatus(), XDfePrach_GetEventStatus(), XDfePrach_GetInterruptMask(), and XDfePrach_SetInterruptMask().

u32 XDfePrach_StatusMask::DecimatorOverrun

[0,1] Mask overrun in the decimator

Referenced by XDfePrach_ClearEventStatus(), XDfePrach_GetEventStatus(), XDfePrach_GetInterruptMask(), and XDfePrach_SetInterruptMask().

u32 XDfePrach_StatusMask::FrameError[XDFEPRACH_BAND_ID_MAX]

[0,1] Mask Frame error

Referenced by XDfePrach_ClearEventStatus(), XDfePrach_GetEventStatus(), XDfePrach_GetInterruptMask(), and XDfePrach_SetInterruptMask().

u32 XDfePrach_StatusMask::FrameInitTrigger[XDFEPRACH_BAND_ID_MAX]

[0,1] Mask Frame initialisation Trigger

Referenced by XDfePrach_ClearEventStatus(), XDfePrach_GetEventStatus(), XDfePrach_GetInterruptMask(), and XDfePrach_SetInterruptMask().

u32 XDfePrach_StatusMask::MixerOverflow

[0,1] Mask overflow in mixer

Referenced by XDfePrach_ClearEventStatus(), XDfePrach_GetEventStatus(), XDfePrach_GetInterruptMask(), and XDfePrach_SetInterruptMask().

u32 XDfePrach_StatusMask::RachUpdate

[0,1] Mask RACH configuration update

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), XDfePrach_2CC3RCTestExample(), XDfePrach_ClearEventStatus(), XDfePrach_GetEventStatus(), XDfePrach_GetInterruptMask(), and XDfePrach_SetInterruptMask().

u32 XDfePrach_StatusMask::SelectorOverrun

[0,1] Mask overrun in the selector

Referenced by XDfePrach_ClearEventStatus(), XDfePrach_GetEventStatus(), XDfePrach_GetInterruptMask(), and XDfePrach_SetInterruptMask().